System 2.0.0.0 4.0.0.0 System.Security.Permissions.CodeAccessSecurityAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.All, AllowMultiple=true, Inherited=false)

This permission is used by classes that provide information about network connections and traffic statistics such as those in the namespace.

The security information declared by a security attribute is stored in the metadata of the attribute target and is accessed by the system at run time. Security attributes are used only for declarative security. For imperative security, use the class.

Allows security actions for to be applied to code using declarative security.

- Constructor
  2.0.0.0
  4.0.0.0

  The security action defines which callers must have the permission.

  Initializes a new instance of the class.

  A value that specifies the permission behavior.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The valid values for this property are shown in the following table.

  Value

  Description

  "Read"

  Read access to network information.

  "Full"

  Full access to network information.

  "None"

  No access to network information.

  Gets or sets the network information access level.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("verify implementation")
  System.Security.IPermission

  This method should only be called by the security system, never by application code.

  Creates and returns a new object.

  A that corresponds to this attribute.